Bug 3742 - GRAM should log entry/exit of jobs to INFO level
: GRAM should log entry/exit of jobs to INFO level
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: 4.0.1
: All All
: P3 enhancement
: 4.0.2
Assigned To:
:
:
:
: 4409
  Show dependency treegraph
 
Reported: 2005-09-12 15:07 by
Modified: 2006-10-26 16:32 (History)


Attachments
Proposed fix (2.34 KB, patch)
2005-09-12 15:08, Mats Rynge
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-12 15:07:37
GRAM should log entry/exit of jobs to INFO level, as such information can be
useful for accounting and auditing.

I'll attach a patch which makes GRAM log the entry and exit of jobs in the
statemachine. Sample output:

2005-09-12 12:59:18,953 INFO  exec.StateMachine
   [Thread-17,logJobAccepted:3019] Job.
   b35a0332-23c7-11da-8dc1-0008744f939a accepted for
   '/C=US/O=NPACI/OU=SDSC/CN=Mats Rynge/UID=ux454281' mapped
   to local user 'rynge'
2005-09-12 12:59:24,892 INFO  exec.StateMachine.
   [Thread-20,logJobSucceeded:3035] Job.
   b35a0332-23c7-11da-8dc1-0008744f939a finished successfully


2005-09-12 12:59:48,183 INFO  exec.StateMachine
   [Thread-22,logJobAccepted:3019] Job
   c4e253d4-23c7-11da-a896-0008744f939a accepted for
   '/C=US/O=NPACI/OU=SDSC/CN=Mats Rynge/UID=ux454281' mapped
   to local user 'rynge'
....
2005-09-12 12:59:53,781 INFO  exec.StateMachine
   [Thread-16,logJobFailed:3045] Job
   c4e253d4-23c7-11da-a896-0008744f939a failed
------- Comment #1 From 2005-09-12 15:08:12 -------
Created an attachment (id=687) [details]
Proposed fix
------- Comment #2 From 2005-10-05 10:30:34 -------
Patch in trunk.